HFST-LEXC-WRAPPER(1)

NAME
hfst-lexc-wrapper - =Compile lexc files into transducer or imitate Xerox lexc

SYNOPSIS
hfst-lexc-wrapper [OPTIONS...] [INFILE1...]]

DESCRIPTION
Compile lexc files into transducer or imitate Xerox lexc This is a wrapper around foma lexc, and does not support weights For a native hfst tool with weights, use hfst-lexc instead

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-f, --format=FORMAT
    compile into FORMAT transducer

-o, --output=OUTFILE
    write result into OUTFILE

-X, --xerox, --readline
    imitate Xerox lexc user interface

If INFILE or OUTFILE are omitted or -, standard streams will be used The possible values for FORMAT are { sfst, openfst-tropical, openfst-log, foma, optimized-lookup-unweighted, optimized-lookup-weighted }.

EXAMPLES

hfst-lexc-wrapper -o cat.hfst cat.lexc
    Compile single-file lexicon

hfst-lexc-wrapper -o L.hfst Root.lexc 2.lexc 3.lexc
    Compile multi-file lexicon

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://sourceforge.net/tracker/?atid=1061990&group_id=224521&func=browse>

hfst-lexc-wrapper home page: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstLexcWrapper>
General help using HFST software: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstHome>

COPYRIGHT
Copyright © 2010 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.